Add an artifact component
curl --request POST \
--url https://api.example.com/api/app/versions/{version_id}/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'filename=<string>' \
--form file='@example-file'import requests
url = "https://api.example.com/api/app/versions/{version_id}/artifacts"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "filename": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('filename', '<string>');
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/api/app/versions/{version_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_type": "<string>",
"properties_json": "<string>",
"created_by": "<string>",
"created_date": "<unknown>",
"updated_by": "<string>",
"updated_date": "<unknown>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Add an artifact component
Add an artifact component to an app version.
NexusOne store artifacts in S3 using this structure:
s3://BUCKET/deps/{AppName}/{VersionName}/filename
If the version is active, NexusOne also copies the artifact to:
s3://BUCKET/deps/{AppName}/current/filename
POST
/
api
/
app
/
versions
/
{version_id}
/
artifacts
Add an artifact component
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app version.
Body
multipart/form-data
Response
Artifact component added successfully.
Response model for app component details.
Unique ID of the app component.
ID of the parent app version.
Type of component.
JSON string with component metadata.
Username of the creator.
Component creation timestamp.
Username of the last updater.
Timestamp when the component was last updated.
Was this page helpful?
⌘I

